/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SKELETON_SKEL_H__
#define __TEST_SKELETON_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_skeleton {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *handler;
	} progs;
	struct {
		struct bpf_link *handler;
	} links;
	struct test_skeleton__bss {
		int in1;
		long long int in2;
		char in3;
		char __pad0[47];
		long long int in4;
		struct s in5;
		long long int out2;
		char out3;
		long long int out4;
		int out1;
		_Bool bpf_syscall;
		int kern_ver;
		char __pad1[0];
		struct s handler_out5;
	} *bss;
	struct test_skeleton__kconfig {
		int LINUX_KERNEL_VERSION;
		_Bool CONFIG_BPF_SYSCALL;
	} *kconfig;
};

static void
test_skeleton__destroy(struct test_skeleton *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_skeleton__create_skeleton(struct test_skeleton *obj);

static inline struct test_skeleton *
test_skeleton__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_skeleton *obj;

	obj = (typeof(obj))calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_skeleton__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_skeleton__destroy(obj);
	return NULL;
}

static inline struct test_skeleton *
test_skeleton__open(void)
{
	return test_skeleton__open_opts(NULL);
}

static inline int
test_skeleton__load(struct test_skeleton *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_skeleton *
test_skeleton__open_and_load(void)
{
	struct test_skeleton *obj;

	obj = test_skeleton__open();
	if (!obj)
		return NULL;
	if (test_skeleton__load(obj)) {
		test_skeleton__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_skeleton__attach(struct test_skeleton *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_skeleton__detach(struct test_skeleton *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_skeleton__create_skeleton(struct test_skeleton *obj)
{
	struct bpf_object_skeleton *s;

	s = (typeof(s))calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_skeleton";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (typeof(s->maps))calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "test_ske.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "test_sk.kconfig";
	s->maps[1].map = &obj->maps.kconfig;
	s->maps[1].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (typeof(s->progs))calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "handler";
	s->progs[0].prog = &obj->progs.handler;
	s->progs[0].link = &obj->links.handler;

	s->data_sz = 6504;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x14\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x79\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x73\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\
\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x73\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x71\x23\x0b\0\0\0\0\0\x18\x01\0\0\x7c\0\0\0\0\0\0\0\0\0\0\0\
\x73\x31\x0b\0\0\0\0\0\x71\x23\x0a\0\0\0\0\0\x73\x31\x0a\0\0\0\0\0\x71\x23\x09\
\0\0\0\0\0\x73\x31\x09\0\0\0\0\0\x71\x23\x08\0\0\0\0\0\x73\x31\x08\0\0\0\0\0\
\x71\x23\x07\0\0\0\0\0\x73\x31\x07\0\0\0\0\0\x71\x23\x06\0\0\0\0\0\x73\x31\x06\
\0\0\0\0\0\x71\x23\x05\0\0\0\0\0\x73\x31\x05\0\0\0\0\0\x71\x23\x04\0\0\0\0\0\
\x73\x31\x04\0\0\0\0\0\x71\x23\x03\0\0\0\0\0\x73\x31\x03\0\0\0\0\0\x71\x23\x02\
\0\0\0\0\0\x73\x31\x02\0\0\0\0\0\x71\x23\x01\0\0\0\0\0\x73\x31\x01\0\0\0\0\0\
\x71\x22\0\0\0\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\
\x6e\x20\x31\x30\x2e\x30\x2e\x31\x20\x28\x52\x65\x64\x20\x48\x61\x74\x20\x31\
\x30\x2e\x30\x2e\x31\x2d\x31\x2e\x6d\x6f\x64\x75\x6c\x65\x2b\x65\x6c\x38\x2e\
\x33\x2e\x30\x2b\x37\x34\x35\x39\x2b\x39\x30\x63\x32\x34\x38\x39\x36\x29\0\x70\
\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x6b\x65\x6c\x65\x74\x6f\x6e\x2e\
\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x32\x34\x30\x2e\x31\x2e\x31\x2e\x72\x74\x37\x2e\x35\x35\x2e\x65\x6c\
\x38\x5f\x33\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x34\
\x30\x2e\x31\x2e\x31\x2e\x72\x74\x37\x2e\x35\x35\x2e\x65\x6c\x38\x5f\x33\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\0\x69\x6e\x31\0\
\x69\x6e\x74\0\x69\x6e\x32\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x69\x6e\
\x74\0\x69\x6e\x33\0\x63\x68\x61\x72\0\x69\x6e\x34\0\x69\x6e\x35\0\x61\0\x62\0\
\x73\0\x6f\x75\x74\x32\0\x6f\x75\x74\x33\0\x6f\x75\x74\x34\0\x6f\x75\x74\x31\0\
\x62\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x5f\x42\x6f\x6f\x6c\0\x6b\x65\
\x72\x6e\x5f\x76\x65\x72\0\x6f\x75\x74\x35\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x43\x4f\x4e\x46\x49\x47\x5f\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x4c\
\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\
\x68\x61\x6e\x64\x6c\x65\x72\0\x63\x74\x78\0\x01\x11\x01\x25\x0e\x13\x05\x03\
\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\
\x0b\x3b\x0b\x02\x18\0\0\x03\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x04\x34\0\x03\
\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x88\x01\x0f\x02\x18\0\0\x05\x13\x01\x03\
\x0e\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x06\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\
\x0b\0\0\x07\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\
\x0b\x27\x19\x49\x13\x3f\x19\0\0\x08\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x0b\x02\
\x18\0\0\x09\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x0a\x35\0\x49\x13\0\0\
\x0b\x01\x01\x49\x13\0\0\x0c\x21\0\x49\x13\x37\x0b\0\0\x0d\x24\0\x03\x0e\x0b\
\x0b\x3e\x0b\0\0\x0e\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x3c\x19\x02\
\x18\0\0\x0f\x0f\0\x49\x13\0\0\x10\x26\0\0\0\0\xe3\x01\0\0\x04\0\0\0\0\0\x08\
\x01\0\0\0\0\x0c\0\x45\0\0\0\0\0\0\0\x5b\0\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\x02\
\xdc\0\0\0\x3f\0\0\0\x01\x0d\x09\x03\0\0\0\0\0\0\0\0\x03\xe0\0\0\0\x05\x04\x02\
\xe4\0\0\0\x5b\0\0\0\x01\x0e\x09\x03\0\0\0\0\0\0\0\0\x03\xe8\0\0\0\x05\x08\x02\
\xf6\0\0\0\x77\0\0\0\x01\x0f\x09\x03\0\0\0\0\0\0\0\0\x03\xfa\0\0\0\x06\x01\x04\
\xff\0\0\0\x5b\0\0\0\x01\x10\x40\x09\x03\0\0\0\0\0\0\0\0\x02\x03\x01\0\0\xa9\0\
\0\0\x01\x11\x09\x03\0\0\0\0\0\0\0\0\x05\x0b\x01\0\0\x0c\x01\x08\x06\x07\x01\0\
\0\x3f\0\0\0\x01\x09\0\x06\x09\x01\0\0\x5b\0\0\0\x01\x0a\x04\0\x02\x0d\x01\0\0\
\x5b\0\0\0\x01\x13\x09\x03\0\0\0\0\0\0\0\0\x02\x12\x01\0\0\x77\0\0\0\x01\x14\
\x09\x03\0\0\0\0\0\0\0\0\x02\x17\x01\0\0\x5b\0\0\0\x01\x15\x09\x03\0\0\0\0\0\0\
\0\0\x02\x1c\x01\0\0\x3f\0\0\0\x01\x16\x09\x03\0\0\0\0\0\0\0\0\x02\x21\x01\0\0\
\x33\x01\0\0\x01\x1a\x09\x03\0\0\0\0\0\0\0\0\x03\x2d\x01\0\0\x02\x01\x02\x33\
\x01\0\0\x3f\0\0\0\x01\x1b\x09\x03\0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x10\x02\
\0\0\x01\x5a\x86\x01\0\0\x01\x1e\x3f\0\0\0\x08\x3c\x01\0\0\x89\x01\0\0\x01\x20\
\x09\x03\x7c\0\0\0\0\0\0\0\x09\x8e\x01\0\0\x01\x1e\xe0\x01\0\0\0\x0a\xa9\0\0\0\
\x02\x41\x01\0\0\xa3\x01\0\0\x01\x2e\x09\x03\0\0\0\0\0\0\0\0\x0b\x77\0\0\0\x0c\
\xaf\x01\0\0\x04\0\x0d\x4a\x01\0\0\x08\x07\x0e\x5e\x01\0\0\x33\x01\0\0\x01\x18\
\x09\x03\0\0\0\0\0\0\0\0\x0e\x71\x01\0\0\x3f\0\0\0\x01\x19\x09\x03\0\0\0\0\0\0\
\0\0\x0f\xe5\x01\0\0\x10\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x98\x02\0\0\x98\x02\
\0\0\x0e\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\x4a\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\
\0\x4e\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x5c\x01\0\0\0\0\0\x0e\x07\0\0\0\
\x01\0\0\0\x60\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\x65\x01\0\0\0\0\0\x0e\
\x09\0\0\0\x01\0\0\0\x69\x01\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x6d\x01\0\0\x02\
\0\0\x04\x0c\0\0\0\x6f\x01\0\0\x04\0\0\0\0\0\0\0\x71\x01\0\0\x07\0\0\0\x20\0\0\
\0\x73\x01\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x77\x01\0\0\0\0\0\x0e\x07\0\0\0\
\x01\0\0\0\x7c\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x81\x01\0\0\0\0\0\x0e\x07\
\0\0\0\x01\0\0\0\x86\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x8b\x01\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x04\x91\x01\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x9d\x01\0\
\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x09\x0c\0\0\0\xa6\x01\0\0\0\0\0\
\x0e\x15\0\0\0\0\0\0\0\xb3\x01\0\0\0\0\0\x0e\x12\0\0\0\x02\0\0\0\xc6\x01\0\0\0\
\0\0\x0e\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x1a\0\0\0\x04\
\0\0\0\xdb\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xef\x01\0\0\0\0\0\x0e\x19\0\0\
\0\x01\0\0\0\xf8\x01\0\0\x0c\0\0\x0f\0\0\0\0\x06\0\0\0\0\0\0\0\x04\0\0\0\x08\0\
\0\0\0\0\0\0\x08\0\0\0\x0a\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\0\0\0\0\x08\0\0\0\
\x0d\0\0\0\0\0\0\0\x0c\0\0\0\x0e\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\0\0\0\0\x01\
\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\x13\0\0\0\0\0\0\
\0\x01\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\x16\0\0\0\x7c\0\0\0\x0c\0\0\0\xfd\x01\
\0\0\x02\0\0\x0f\0\0\0\0\x17\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\
\0\x06\x02\0\0\x01\0\0\x0f\0\0\0\0\x1b\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\
\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x72\0\x72\x61\x77\x5f\x74\x70\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x72\
\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x32\x34\x30\x2e\x31\x2e\x31\x2e\x72\x74\
\x37\x2e\x35\x35\x2e\x65\x6c\x38\x5f\x33\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\
\x31\x38\x2e\x30\x2d\x32\x34\x30\x2e\x31\x2e\x31\x2e\x72\x74\x37\x2e\x35\x35\
\x2e\x65\x6c\x38\x5f\x33\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x6b\x65\x6c\
\x65\x74\x6f\x6e\x2e\x63\0\x09\x6f\x75\x74\x31\x20\x3d\x20\x69\x6e\x31\x3b\0\
\x09\x6f\x75\x74\x32\x20\x3d\x20\x69\x6e\x32\x3b\0\x09\x6f\x75\x74\x33\x20\x3d\
\x20\x69\x6e\x33\x3b\0\x09\x6f\x75\x74\x34\x20\x3d\x20\x69\x6e\x34\x3b\0\x09\
\x62\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\
\x47\x5f\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\x3b\0\x09\x6b\x65\x72\x6e\
\x5f\x76\x65\x72\x20\x3d\x20\x4c\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\x45\x4c\
\x5f\x56\x45\x52\x53\x49\x4f\x4e\x3b\0\x09\x6f\x75\x74\x35\x20\x3d\x20\x69\x6e\
\x35\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x31\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\x20\x69\x6e\x74\0\x69\x6e\x32\0\x63\x68\x61\x72\0\x69\
\x6e\x33\0\x69\x6e\x34\0\x73\0\x61\0\x62\0\x69\x6e\x35\0\x6f\x75\x74\x32\0\x6f\
\x75\x74\x33\0\x6f\x75\x74\x34\0\x6f\x75\x74\x31\0\x5f\x42\x6f\x6f\x6c\0\x62\
\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x6b\x65\x72\x6e\x5f\x76\x65\x72\0\
\x68\x61\x6e\x64\x6c\x65\x72\x2e\x6f\x75\x74\x35\0\x43\x4f\x4e\x46\x49\x47\x5f\
\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x4c\x49\x4e\x55\x58\x5f\x4b\x45\
\x52\x4e\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xec\0\0\0\0\x01\
\0\0\0\0\0\0\x08\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x11\0\0\
\0\x0e\0\0\0\0\0\0\0\x22\0\0\0\xb9\0\0\0\x09\x88\0\0\x18\0\0\0\x22\0\0\0\xb9\0\
\0\0\x07\x88\0\0\x30\0\0\0\x22\0\0\0\xc6\0\0\0\x09\x8c\0\0\x48\0\0\0\x22\0\0\0\
\xc6\0\0\0\x07\x8c\0\0\x60\0\0\0\x22\0\0\0\xd3\0\0\0\x09\x90\0\0\x78\0\0\0\x22\
\0\0\0\xd3\0\0\0\x07\x90\0\0\x90\0\0\0\x22\0\0\0\xe0\0\0\0\x09\x94\0\0\xa8\0\0\
\0\x22\0\0\0\xe0\0\0\0\x07\x94\0\0\xc0\0\0\0\x22\0\0\0\xed\0\0\0\x10\xa0\0\0\
\xd8\0\0\0\x22\0\0\0\xed\0\0\0\x0e\xa0\0\0\xf0\0\0\0\x22\0\0\0\x10\x01\0\0\x0d\
\xa4\0\0\x08\x01\0\0\x22\0\0\0\x10\x01\0\0\x0b\xa4\0\0\x20\x01\0\0\x22\0\0\0\
\x32\x01\0\0\x09\x98\0\0\0\x02\0\0\x22\0\0\0\x3f\x01\0\0\x02\xac\0\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x01\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\
\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\x04\0\x2d\0\0\0\x08\
\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\
\0\x74\x65\x73\x74\x5f\x73\x6b\x65\x6c\x65\x74\x6f\x6e\x2e\x63\0\x01\0\0\0\0\
\x09\x02\0\0\0\0\0\0\0\0\x03\x1e\x01\x05\x09\x0a\x15\x05\x07\x06\x3c\x05\x09\
\x06\x3d\x05\x07\x06\x3c\x05\x09\x06\x3d\x05\x07\x06\x3c\x05\x09\x06\x3d\x05\
\x07\x06\x3c\x05\x10\x06\x3f\x05\x0e\x06\x3c\x05\x0d\x06\x3d\x05\x0b\x06\x3c\
\x05\x09\x06\x39\x05\x02\x08\xb1\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9b\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xec\0\0\0\x01\0\x05\0\x7c\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xd0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\
\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\x11\0\x06\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x68\0\0\0\x11\0\x05\0\x74\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x50\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x1d\x01\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x14\x01\0\0\x11\0\x05\0\x08\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x0b\x01\0\0\x11\0\x05\0\x10\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x02\x01\0\0\x11\0\x05\0\x40\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xf9\0\0\0\x11\
\0\x05\0\x48\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x32\0\0\0\x11\0\x05\0\x78\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\x11\0\x05\0\x70\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x0f\x01\0\0\x11\0\x05\0\x58\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x06\x01\0\0\
\x11\0\x05\0\x60\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xfd\0\0\0\x11\0\x05\0\x68\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x18\0\0\0\0\0\
\0\0\x01\0\0\0\x10\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x48\0\0\0\0\0\0\
\0\x01\0\0\0\x11\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x78\0\0\0\0\0\0\0\
\x01\0\0\0\x12\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xa8\0\0\0\0\0\0\0\
\x01\0\0\0\x13\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xd8\0\0\0\0\0\0\0\
\x01\0\0\0\x08\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x08\x01\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x38\x01\0\0\0\0\0\
\0\x01\0\0\0\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x37\0\0\0\0\0\0\0\
\x01\0\0\0\x0a\0\0\0\x53\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x6f\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\x8c\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xa1\0\0\0\0\0\0\0\
\x01\0\0\0\x0e\0\0\0\xd7\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xec\0\0\0\0\0\0\0\
\x01\0\0\0\x12\0\0\0\x01\x01\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x16\x01\0\0\0\0\0\
\0\x01\0\0\0\x10\0\0\0\x2b\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x47\x01\0\0\0\0\
\0\0\x01\0\0\0\x0f\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x75\x01\0\0\0\
\0\0\0\x01\0\0\0\x04\0\0\0\x9b\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xc3\x01\0\0\
\0\0\0\0\x01\0\0\0\x05\0\0\0\xd8\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xe8\x01\0\
\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xf4\x01\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\x0c\0\0\0\x0c\x02\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\x0e\0\0\0\x24\x02\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x30\x02\0\0\0\0\0\
\0\0\0\0\0\x12\0\0\0\x3c\x02\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\x48\x02\0\0\0\0\0\0\
\0\0\0\0\x10\0\0\0\x54\x02\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x60\x02\0\0\0\0\0\0\0\
\0\0\0\x0f\0\0\0\x6c\x02\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x84\x02\0\0\0\0\0\0\x0a\
\0\0\0\x05\0\0\0\x90\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xa8\x02\0\0\0\0\0\0\0\
\0\0\0\x07\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\x90\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xb0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xd0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\xf0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x10\x01\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x3a\0\0\0\0\0\0\0\x01\0\0\
\0\x03\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x62\x73\
\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x6b\x65\x72\x6e\x5f\x76\x65\
\x72\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x68\x61\x6e\x64\x6c\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x69\x6e\x66\x6f\0\x62\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\
\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x74\x65\
\x73\x74\x5f\x73\x6b\x65\x6c\x65\x74\x6f\x6e\x2e\x63\0\x2e\x73\x74\x72\x74\x61\
\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x4c\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\
\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\x43\x4f\x4e\x46\x49\x47\x5f\x42\x50\
\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x68\
\x61\x6e\x64\x6c\x65\x72\x2e\x6f\x75\x74\x35\0\x69\x6e\x35\0\x6f\x75\x74\x34\0\
\x69\x6e\x34\0\x6f\x75\x74\x33\0\x69\x6e\x33\0\x6f\x75\x74\x32\0\x69\x6e\x32\0\
\x6f\x75\x74\x31\0\x69\x6e\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xab\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x13\
\0\0\0\0\0\0\x21\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x09\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0f\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x13\0\0\0\x03\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x80\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\x02\0\0\
\0\0\0\0\x92\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x04\0\0\0\0\0\0\xd7\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xed\x04\0\0\0\0\0\0\xe7\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\x09\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x30\x10\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x13\0\0\0\x09\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd4\x06\0\0\0\0\0\0\xbe\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe3\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\x11\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x13\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x92\x0b\
\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x12\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\x13\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x91\
\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0c\0\0\0\0\0\0\x30\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x13\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\
\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x81\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0c\0\0\0\0\0\0\x82\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x30\x13\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x11\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\xb3\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x70\x0d\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_SKELETON_SKEL_H__ */
